OCC Main Page | ApplicationFramework | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# ApplicationFramework
TKCAF
TFunction

# TFunction_Logbook Class Reference

This class contains information which is written and
read during the solving process. Information is divided
in three groups.
* Touched Labels (modified by the end user),
* Impacted Labels (modified during execution of the function),
* Valid Labels (within the valid label scope).
.

`#include <TFunction_Logbook.hxx>`

## Public Member Functions
void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | TFunction_Logbook ()
| next methods are solving declaration ===================================
Standard_EXPORT void | Clear ()
| Clears this logbook to its default, empty state. .
Standard_EXPORT Standard_Boolean | IsEmpty () const
void | SetTouched (const TDF_Label &L)
| Sets the label L as a touched label in this logbook. In other words, L is understood to have been modified by the end user. .
Standard_EXPORT void | SetImpacted (const TDF_Label &L, const Standard_Boolean WithChildren=Standard_False)
| Sets the label L as an impacted label in this logbook. This method is called by execution of the function driver. .
Standard_EXPORT void | SetValid (const TDF_Label &L, const Standard_Boolean WithChildren=Standard_False)
| Sets the label L as a valid label in this logbook. .
TDF_LabelMap & | ChangeValid ()
Standard_EXPORT Standard_Boolean | IsModified (const TDF_Label &L, const Standard_Boolean WithChildren=Standard_False) const
| Returns True if the label L is touched or impacted. This method is called by <TFunction_FunctionDriver::MustExecute>. If <withchildren> is set to true, the method checks all the sublabels of <l> too. //! next method to consult solving result ===================================== .
const TDF_LabelMap & | GetTouched () const
| Returns the map of touched labels in this logbook. A touched label is the one modified by the end user. .
const TDF_LabelMap & | GetImpacted () const
| Returns the map of impacted labels contained in this logbook. .
const TDF_LabelMap & | GetValid () const
| Returns the map of valid labels in this logbook. .
void | Done (const Standard_Boolean status)
| Sets if the execution failed .
Standard_Boolean | IsDone () const
Standard_EXPORT Standard_OStream & | Dump (Standard_OStream &stream) const
## Private Attributes
TDF_LabelMap | myTouched
TDF_LabelMap | myImpacted
TDF_LabelMap | myValid
Standard_Boolean | isDone

## Constructor & Destructor Documentation

Standard_EXPORT TFunction_Logbook::TFunction_Logbook | ( |  | ) |

## Member Function Documentation

TDF_LabelMap & TFunction_Logbook::ChangeValid | ( |  | ) | `[inline]`

Standard_EXPORT void TFunction_Logbook::Clear | ( |  | ) |

void TFunction_Logbook::Done | ( | const Standard_Boolean | status | ) | `[inline]`

Standard_EXPORT Standard_OStream& TFunction_Logbook::Dump | ( | Standard_OStream & | stream | ) | const

const TDF_LabelMap & TFunction_Logbook::GetImpacted | ( |  | ) | const`[inline]`

const TDF_LabelMap & TFunction_Logbook::GetTouched | ( |  | ) | const`[inline]`

const TDF_LabelMap & TFunction_Logbook::GetValid | ( |  | ) | const`[inline]`

Standard_Boolean TFunction_Logbook::IsDone | ( |  | ) | const`[inline]`

Standard_EXPORT Standard_Boolean TFunction_Logbook::IsEmpty | ( |  | ) | const

Standard_EXPORT Standard_Boolean TFunction_Logbook::IsModified | ( | const TDF_Label & | L,
|  | const Standard_Boolean | WithChildren = `Standard_False`
| ) | const

void TFunction_Logbook::operator delete | ( | void * | anAddress | ) | `[inline]`

void* TFunction_Logbook::operator new | ( | size_t | size | ) | `[inline]`

void* TFunction_Logbook::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

Standard_EXPORT void TFunction_Logbook::SetImpacted | ( | const TDF_Label & | L,
|  | const Standard_Boolean | WithChildren = `Standard_False`
| ) |

void TFunction_Logbook::SetTouched | ( | const TDF_Label & | L | ) | `[inline]`

Standard_EXPORT void TFunction_Logbook::SetValid | ( | const TDF_Label & | L,
|  | const Standard_Boolean | WithChildren = `Standard_False`
| ) |

## Field Documentation

Standard_Boolean TFunction_Logbook::isDone`[private]`

TDF_LabelMap TFunction_Logbook::myImpacted`[private]`

TDF_LabelMap TFunction_Logbook::myTouched`[private]`

TDF_LabelMap TFunction_Logbook::myValid`[private]`

The documentation for this class was generated from the following files:

- TFunction_Logbook.hxx
- TFunction_Logbook.lxx